;----------------------------------;
;           Ninja Fight!           ;
;           Version 3.5			       ;
;       By Graham Clenaghan        ;
;      origin415@hotmail.com       ;
;    Programmed for the TI-83+     ;
;       Using the Mirage OS        ;
;----------------------------------;
#include	"ti83plus.inc"			;General TI-83 Plus include file
#include	"mirage.inc"			;MirageOS include file
	.org	$9d93					;Origin (set back two to account for AsmPrgm)
	.db	$BB,$6D						;Compiled AsmPrgm token
	ret								;So TIOS wont run the program
	.db	1							;Identifier as MirageOS program
	.db	%00000000,%00000000			;Program Icon
	.db	%00000000,%00000000
	.db	%00000000,%00000000
	.db	%00000000,%00000000
	.db	%00000000,%00000000
	.db	%00111000,%00011100
	.db	%00111000,%00111000
	.db	%00111001,%01110000
	.db	%00010000,%10100000
	.db	%11111110,%01111100
	.db	%00010000,%00100000
	.db	%00011111,%00100000
	.db	%00100000,%01010000
	.db	%01000000,%10001000
	.db	%10000001,%00000100
	.db	"Ninja Fight!",0			;Zero terminated description
ai = SafeRam1						;variables
aiset = SafeRam1+1
cursorx = SafeRam1+2
cursory = SafeRam1+3
negscore = SafeRam1+4
ninjaahealth = SafeRam1+5
ninjabhealth = SafeRam1+6
score = SafeRam1+7
start:
;-----------Beginning Of Program--------;
mainmenu:
  ld   a,6							;put the cursor in the right place
  ld   (cursorx),a
  ld   a,2
  ld   (cursory),a
  bcall(_clrlcdfull)					;clear the lcd, then put Main Menu in
  set  textinverse,(iy+textflags)
  ld   de,0*256+0
  ld   (currow),de
  ld   hl,title
  bcall(_puts)
  res  textinverse,(iy+textflags)
  ld   de,7*256+2
  ld   (currow),de
  ld   hl,menu1
  bcall(_puts)
  ld   de,2*256+4
  ld   (currow),de
  ld   hl,menu2
  bcall(_puts)
  ld   de,4*256+6
  ld   (currow),de
  ld   hl,menu3
  bcall(_puts)
  ld   de,58*256+0
  ld   (pencol),de
  ld   hl,author
  bcall(_vputs)
  ld   de,6*256+2
  ld   (currow),de
  ld   hl,cursor
  bcall(_puts)
loopmain:							;Wait for a command
  bcall(_getCSC)
  cp   sk2nd
  jr   z,select
  cp   skUp
  jr   z,moveup
  cp   skDown
  jr   z,movedown
  cp   skClear
  jp   z,quit
  jr   loopmain
select:								;if 2nd was pressed...
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,aiselect
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jp   z,instructions
  ld   a,(cursory)
  ld   l,a
  ld   a,6
  cp   l
  jp   z,quit
moveup:								;if up was pressed...
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,movetoquit
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jr   z,movetoplay
  ld   a,(cursory)
  ld   l,a
  ld   a,6
  cp   l
  jp   z,movetoinstruct
movedown:							;if down was pressed...
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,movetoinstruct
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jp   z,movetoquit
movetoplay:							;move the cursor
  call erasecursor
  ld   a,6
  ld   (cursorx),a
  ld   a,2
  ld   (cursory),a
  call putcursor
  jp   loopmain
movetoinstruct:
  call erasecursor
  ld   a,1
  ld   (cursorx),a
  ld   a,4
  ld   (cursory),a
  call putcursor
  jp   loopmain
movetoquit:
  call erasecursor
  ld   a,3
  ld   (cursorx),a
  ld   a,6
  ld   (cursory),a
  call putcursor
  jp   loopmain
quit:
  ret
instructions:						;display the instructions, spilt across two screens
  bcall(_clrlcdfull)					;screen 1
  ld   de,0*256+4
  ld   (pencol),de
  ld   hl,instructions1
  bcall(_vputs)
  ld   de,7*256+0
  ld   (pencol),de
  ld   hl,instructions2txt
  bcall(_vputs)
  ld   de,14*256+4
  ld   (pencol),de
  ld   hl,instructions3
  bcall(_vputs)
  ld   de,21*256+0
  ld   (pencol),de
  ld   hl,instructions4
  bcall(_vputs)
  ld   de,28*256+4
  ld   (pencol),de
  ld   hl,instructions5
  bcall(_vputs)
  ld   de,35*256+0
  ld   (pencol),de
  ld   hl,instructions6
  bcall(_vputs)
  ld   de,42*256+0
  ld   (pencol),de
  ld   hl,instructions7
  bcall(_vputs)
  ld   de,49*256+0
  ld   (pencol),de
  ld   hl,instructions8
  bcall(_vputs)
  ld   de,56*256+0
  ld   (pencol),de
  ld   hl,instructions9
  bcall(_vputs)
instructionsloop1:
  bcall(_getCSC)
  cp   sk2nd
  jr   z,instructions2
  cp   skClear
  jp   z,quit
  cp   skDown
  jr   z,instructions2
  jr   instructionsloop1
instructions2:
  bcall(_clrlcdfull)					;screen 2
  ld   de,0*256+0
  ld   (pencol),de
  ld   hl,instructions10
  bcall(_vputs)
  ld   de,7*256+0
  ld   (pencol),de
  ld   hl,instructions11
  bcall(_vputs)
  ld   de,14*256+0
  ld   (pencol),de
  ld   hl,instructions12
  bcall(_vputs)
  ld   de,21*256+0
  ld   (pencol),de
  ld   hl,instructions13
  bcall(_vputs)
  ld   de,28*256+0
  ld   (pencol),de
  ld   hl,instructions14
  bcall(_vputs)
  ld   de,35*256+0
  ld   (pencol),de
  ld   hl,instructions15
  bcall(_vputs)
  ld   de,42*256+0
  ld   (pencol),de
  ld   hl,instructions16
  bcall(_vputs)
instructionsloop2:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,mainmenu
  cp   skClear
  jp   z,quit
  cp   skUp
  jp   z,instructions
  jr   instructionsloop2
aiselect:							;choose the ai speed
  ld   a,3
  ld   (cursorx),a
  ld   a,4
  ld   (cursory),a
  bcall(_clrlcdfull)
  set  textinverse,(iy+textflags)
  ld   de,0*256+0
  ld   (currow),de
  ld   hl,title
  bcall(_puts)
  ld   de,0*256+1
  ld   (currow),de
  ld   hl,aititle
  bcall(_puts)
  res  textinverse,(iy+textflags)
  ld   de,2*256+2
  ld   (currow),de
  ld   hl,ai1
  bcall(_puts)
  ld   de,5*256+3
  ld   (currow),de
  ld   hl,ai2
  bcall(_puts)
  ld   de,4*256+4
  ld   (currow),de
  ld   hl,ai3
  bcall(_puts)
  ld   de,5*256+5
  ld   (currow),de
  ld   hl,ai4
  bcall(_puts)
  ld   de,2*256+6
  ld   (currow),de
  ld   hl,ai5
  bcall(_puts)
  ld   de,5*256+7
  ld   (currow),de
  ld   hl,ai6
  bcall(_puts)
  ld   de,3*256+4
  ld   (currow),de
  ld   hl,cursor
  bcall(_puts)
loopaiselect:
  bcall(_getCSC)
  cp   skUp
  jp   z,moveupai
  cp   skDown
  jp   z,movedownai
  cp   skClear
  jp   z,mainmenu
  cp   sk2nd
  jr   z,selectai
  jr   loopaiselect
selectai:
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,ai125
  ld   a,(cursory)
  ld   l,a
  ld   a,3
  cp   l
  jp   z,ai100
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jp   z,ai75
  ld   a,(cursory)
  ld   l,a
  ld   a,5
  cp   l
  jp   z,ai50
  ld   a,(cursory)
  ld   l,a
  ld   a,6
  cp   l
  jp   z,ai25
  ld   a,(cursory)
  ld   l,a
  ld   a,7
  cp   l
  jp   z,mainmenu
moveupai:
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,movetoback
  ld   a,(cursory)
  ld   l,a
  ld   a,3
  cp   l
  jp   z,movetorealslow
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jp   z,movetoslow
  ld   a,(cursory)
  ld   l,a
  ld   a,5
  cp   l
  jp   z,movetonorm
  ld   a,(cursory)
  ld   l,a
  ld   a,6
  cp   l
  jp   z,movetofast
  ld   a,(cursory)
  ld   l,a
  ld   a,7
  cp   l
  jp   z,movetorealfast
movedownai:
  ld   a,(cursory)
  ld   l,a
  ld   a,2
  cp   l
  jp   z,movetoslow
  ld   a,(cursory)
  ld   l,a
  ld   a,3
  cp   l
  jp   z,movetonorm
  ld   a,(cursory)
  ld   l,a
  ld   a,4
  cp   l
  jp   z,movetofast
  ld   a,(cursory)
  ld   l,a
  ld   a,5
  cp   l
  jp   z,movetorealfast
  ld   a,(cursory)
  ld   l,a
  ld   a,6
  cp   l
  jp   z,movetoback
movetorealslow:
  call erasecursor
  ld   a,1
  ld   (cursorx),a
  ld   a,2
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
movetoslow:
  call erasecursor
  ld   a,4
  ld   (cursorx),a
  ld   a,3
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
movetonorm:
  call erasecursor
  ld   a,3
  ld   (cursorx),a
  ld   a,4
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
movetofast:
  call erasecursor
  ld   a,4
  ld   (cursorx),a
  ld   a,5
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
movetorealfast:
  call erasecursor
  ld   a,1
  ld   (cursorx),a
  ld   a,6
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
movetoback:
  call erasecursor
  ld   a,4
  ld   (cursorx),a
  ld   a,7
  ld   (cursory),a
  call putcursor
  jp   loopaiselect
ai125:
  ld   a,125
  ld   (aiset),a
  jr   beginplay
ai100:
  ld   a,100
  ld   (aiset),a
  jr   beginplay
ai75:
  ld   a,75
  ld   (aiset),a
  jr   beginplay
ai50:
  ld   a,50
  ld   (aiset),a
  jr   beginplay
ai25:
  ld   a,25
  ld   (aiset),a
;-------------Beginning of actual game----------;
beginplay:
  bcall(_grbufclr)				;set health, score, etc.
  xor  a
  ld   (score),a
  ld   (negscore),a
  ld   a,62
  ld   (ninjaahealth),a
  inc  a
  ld   (ninjabhealth),a
  ld   b,10
  ld   l,54
  ld   a,39
  ld   ix,ninja
  call sprites
  ld   a,47
  call isprite
  call ifastcopy
healthbarloop:					;puts up the health bar
  ld   b,2
  ld   a,(ninjaahealth)
  ld   l,a
  ld   a,89
  ld   ix,healthsegment
  call sprites
  ld   a,(ninjabhealth)
  ld   l,a
  ld   a,88
  call isprite
  call ifastcopy
  ld   a,(ninjaahealth)
  ld   l,a
  xor  a
  cp   l
  jr   z,postdisplay
  ld   l,2
  ld   a,(ninjaahealth)
  sub  l
  ld   (ninjaahealth),a
  ld   l,2
  ld   a,(ninjabhealth)
  sub  l
  ld   (ninjabhealth),a
  jr   healthbarloop
postdisplay:					;after all pregame setup, where game loops back to
  ld   a,(aiset)
  ld   (ai),a
  ld   a,(ninjaahealth)			;check if anyone has won or lost
  ld   l,a
  ld   a,62
  cp   l
  jp   z,lose
  ld   a,(ninjabhealth)
  ld   l,a
  ld   a,63
  cp   l
  jp   z,win
  ld   b,6
  call irandom					;get a random letter to display
  ld   b,0
  cp   b
  jr   z,displaya
  inc  b
  cp   b
  jp   z,displayb
  inc  b
  cp   b
  jp   z,displayc
  inc  b
  cp   b
  jp   z,displayx
  inc  b
  cp   b
  jp   z,displayy
  jp   displayz
displaya:						;loops for each letter
  bcall(_getCSC)
  cp   sk2nd
  jp   z,right
  cp   skMode
  jp   z,wrong
  cp   skDel
  jp   z,wrong
  cp   skAlpha
  jp   z,wrong
  cp   skGraphVar
  jp   z,wrong
  cp   skStat
  jp   z,wrong
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,a
  call sprites
  call fastcopys
  call isprite
  ld   a,(ai)
  dec  a
  jp   z,wrong
  ld   (ai),a
  jp   displaya
displayb:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,wrong
  cp   skMode
  jp   z,right
  cp   skDel
  jp   z,wrong
  cp   skAlpha
  jp   z,wrong
  cp   skGraphVar
  jp   z,wrong
  cp   skStat
  jp   z,wrong
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,b
  call sprites
  call fastcopys
  call isprite
  ld   a,(ai)
  dec  a
  jp   z,wrong
  ld   (ai),a
  jp   displayb
displayc:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,wrong
  cp   skMode
  jp   z,wrong
  cp   skDel
  jp   z,right
  cp   skAlpha
  jp   z,wrong
  cp   skGraphVar
  jp   z,wrong
  cp   skStat
  jp   z,wrong
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,c
  call sprites
  call fastcopys
  call isprite
  ld   a,(ai)
  dec  a
  jp   z,wrong
  ld   (ai),a
  jp   displayc
displayx:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,wrong
  cp   skMode
  jp   z,wrong
  cp   skDel
  jp   z,wrong
  cp   skAlpha
  jp   z,right
  cp   skGraphVar
  jp   z,wrong
  cp   skStat
  jp   z,wrong
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,x
  call sprites
  call fastcopys
  call isprite
  ld   a,(ai)
  dec  a
  jp   z,wrong
  ld   (ai),a
  jp   displayx
displayy:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,wrong
  cp   skMode
  jp   z,wrong
  cp   skDel
  jp   z,wrong
  cp   skAlpha
  jp   z,wrong
  cp   skGraphVar
  jp   z,right
  cp   skStat
  jp   z,wrong
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,y
  call sprites
  call fastcopys
  call isprite
  ld   a,(ai)
  dec  a
  jp   z,wrong
  ld   (ai),a
  jp   displayy
displayz:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,wrong
  cp   skMode
  jp   z,wrong
  cp   skDel
  jp   z,wrong
  cp   skAlpha
  jp   z,wrong
  cp   skGraphVar
  jp   z,wrong
  cp   skStat
  jp   z,right
  cp   skClear
  jp   z,lose
  ld   b,9
  ld   l,36
  ld   a,42
  ld   ix,z
  call sprites
  call fastcopys
  call sprites
  ld   a,(ai)
  dec  a
  ld   (ai),a
  jp   nz,displayz
wrong:							;if you take too long or hit the wrong button, you go here
  ld   b,2
  ld   a,(ninjaahealth)
  ld   l,a
  ld   a,89
  ld   ix,healthsegment			;take away your health
  call isprite
  ld   l,2
  ld   a,(ninjaahealth)
  add  a,l
  ld   (ninjaahealth),a
  ld   a,(score)				;check if the score is 0
  ld   l,a
  xor  a
  cp   l
  jp   z,negwrong				;if it is, goto a loop to make the score negative
  ld   l,8						;and if it isn't, subtract 8 from the positive score
  ld   a,(score)
  sub  l
  ld   (score),a
  jr   skipneg
negwrong:						;add 8 to the negative score
  ld   l,8
  ld   a,(negscore)
  add  a,l
  ld   (negscore),a
skipneg:
  ld   b,10
  ld   l,54
  ld   a,39
  ld   ix,ninja
  call sprites					;put up kick/hit sprites, hold for 20 loops
  ld   ix,ninjaahit
  call sprites
  ld   a,47
  ld   ix,ninja
  call sprites
  ld   ix,ninjabkick
  call sprites
  call fastcopys
  ld   b,20
  call delayb
  ld   b,10
  call sprites
  ld   ix,ninja
  call sprites
  ld   a,39
  ld   ix,ninjaahit
  call sprites
  ld   ix,ninja
  call sprites
  call fastcopys
  jp   postdisplay
right:							;if your hit the right button...
  ld   b,2
  ld   a,(ninjabhealth)
  ld   l,a
  ld   a,88
  ld   ix,healthsegment			;take away coms health
  call isprite
  ld   l,2
  ld   a,(ninjabhealth)
  add  a,l
  ld   (ninjabhealth),a
  ld   a,(negscore)				;check if the score is negative, if it is, subtract 8
  ld   l,a
  xor  a
  cp   l
  jp   z,posright
  ld   l,8
  ld   a,(negscore)
  sub  l
  ld   (negscore),a
  jr   skippos
posright:						;if its positive, add eight
  ld   l,8
  ld   a,(score)
  add  a,l
  ld   (score),a
skippos:
  ld   b,10
  ld   l,54
  ld   a,39
  ld   ix,ninja
  call sprites
  ld   ix,ninjaakick
  call sprites
  ld   a,47
  ld   ix,ninja						;display kick/hit sprites, hold for 20 loops
  call sprites
  ld   ix,ninjabhit
  call sprites
  call fastcopys
  ld   b,20
  call delayb
  ld   b,10
  call sprites
  ld   ix,ninja
  call sprites
  ld   a,39
  ld   ix,ninjaakick
  call sprites
  ld   ix,ninja
  call isprite
  call ifastcopy
  jp   postdisplay
win:							;if you win...
  ld   b,10						;display kick/hit sprites
  ld   l,54
  ld   a,39
  ld   ix,ninja
  call sprites
  ld   ix,ninjaakick
  call sprites
  ld   a,47
  ld   ix,ninja
  call sprites
  ld   ix,ninjabhit
  call isprite
  call ifastcopy
  set  textinverse,(iy+textflags);tell you that you won and what your score was
  bcall(_homeup)
  ld   hl,wintext1
  bcall(_puts)
  res  textinverse,(iy+textflags)
  ld   de,10*256+1
  ld   (currow),de
  ld   hl,(score)
  ld   h,0
  bcall(_disphl)
  ld   de,0*256+1
  ld   (currow),de
  ld   hl,wintext2
  bcall(_puts)
winloop:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,mainmenu
  jr   winloop
lose:							;if your lose...
  ld   b,10						;display kick/hit sprites
  ld   l,54
  ld   a,47
  ld   ix,ninja
  call sprites
  ld   ix,ninjabkick
  call sprites
  ld   a,39
  ld   ix,ninja
  call sprites
  ld   ix,ninjaahit
  call isprite
  call ifastcopy
  ld   de,11*256+1
  ld   (currow),de
  ld   hl,(negscore)
  ld   h,0
  bcall(_disphl)
  ld   de,0*256+0				;tell you that you lost and what your score was (negative)
  ld   (currow),de
  ld   hl,losetext1
  bcall(_puts)
  ld   de,0*256+1
  ld   (currow),de
  ld   hl,losetext2
  bcall(_puts)
loseloop:
  bcall(_getCSC)
  cp   sk2nd
  jp   z,mainmenu
  cp   skClear
  jp   z,quit
  jr   loseloop
;----------end of program, beginnning of data----------;
;-----------routines-----------;
erasecursor:
  ld   a,(cursorx)
  ld   d,a
  ld   a,(cursory)
  ld   e,a
  ld   (currow),de
  ld   hl,space
  bcall(_puts)
  ret
putcursor:
  ld   a,(cursorx)
  ld   d,a
  ld   a,(cursory)
  ld   e,a
  ld   (currow),de
  ld   hl,cursor
  bcall(_puts)
  ret
sprites:                ;come on, a fastcopys, but no sprites?
  push af
  push bc
  push hl
  push ix
  call isprite
  pop  ix
  pop  hl
  pop  bc
  pop  af               ;now was that so hard?
  ret                   ;I vote for a sprites routine in MirageOS 1.2!
;-----------sprite data-----------;
ninja:
	.db	%000111000
	.db	%000111000
	.db	%000111000
	.db	%000010000
	.db	%011111110
	.db	%000010000
	.db	%000010000
	.db	%000101000
	.db	%001000100
	.db	%010000010

x:
	.db	%1000001
	.db	%1000001
	.db	%0100010
	.db	%0010100
	.db	%0001000
	.db	%0010100
	.db	%0100010
	.db	%1000001
	.db	%1000001

a:
	.db	%0111110
	.db	%1000001
	.db	%1000001
	.db	%1000001
	.db	%1000001
	.db	%1111111
	.db	%1000001
	.db	%1000001
	.db	%1000001

b:
	.db	%1111110
	.db	%1000001
	.db	%1000001
	.db	%1000001
	.db	%1111110
	.db	%1000001
	.db	%1000001
	.db	%1000001
	.db	%1111110

c:
	.db	%0111110
	.db	%1000001
	.db	%1000000
	.db	%1000000
	.db	%1000000
	.db	%1000000
	.db	%1000000
	.db	%1000001
	.db	%0111110

y:
	.db	%1000001
	.db	%1000001
	.db	%1000001
	.db	%0100010
	.db	%0010100
	.db	%0001000
	.db	%0001000
	.db	%0001000
	.db	%0001000

z:
	.db	%1111111
	.db	%0000001
	.db	%0000010
	.db	%0000100
	.db	%0001000
	.db	%0010000
	.db	%0100000
	.db	%1000000
	.db	%1111111

ninjaakick:
	.db	%000111000
	.db	%000111000
	.db	%000111000
	.db	%000010000
	.db	%011111110
	.db	%000010000
	.db	%000011111
	.db	%000100000
	.db	%001000000
	.db	%010000000

ninjaahit:
	.db	%011100000
	.db	%001110000
	.db	%000111010
	.db	%000010100
	.db	%011111000
	.db	%000010000
	.db	%000010000
	.db	%000101000
	.db	%001000100
	.db	%010000010

ninjabhit:
	.db	%000001110
	.db	%000011100
	.db	%010111000
	.db	%001010000
	.db	%000111110
	.db	%000010000
	.db	%000010000
	.db	%000101000
	.db	%001000100
	.db	%010000010

healthsegment:
	.db	%1
	.db	%1

ninjabkick:
	.db	%000111000
	.db	%000111000
	.db	%000111000
	.db	%000010000
	.db	%011111110
	.db	%000010000
	.db	%111110000
	.db	%000001000
	.db	%000000100
	.db	%000000010





;-------------Text-----------;
title:
.db "  Ninja Fight!  ",0
menu1:
.db "Play",0
menu2:
.db "Instructions",0
menu3:
.db "Quit",0
author:
.db "By Graham Clenaghan",0
cursor:
.db ">",0
space:
.db " ",0
instructions1:
.db "Ninja Fight! is a reflex-based",0
instructions2txt:
.db "fighting game for the TI83/+",0
instructions3:
.db "To play simply select Play",0
instructions4:
.db "from the Main Menu",0
instructions5:
.db "You control the ninja on",0
instructions6:
.db "the left. The controls are...",0
instructions7:
.db "2nd=A MODE=B DEL=C ALPHA=X",0
instructions8:
.db "XTOn=Y and STAT=Z.",0
instructions9:
.db "When a letter appears hit its",0
instructions10:
.db "corresponding button to",0
instructions11:
.db "attack.  If you hit the wrong",0
instructions12:
.db "button or take too long the",0
instructions13:
.db "other ninja will attack you.",0
instructions14:
.db "The game ends when one ",0
instructions15:
.db "ninja loses all their health.",0
instructions16:
.db "Have Fun!!",0
aititle:
.db "Choose AI Speed ",0
ai1:
.db "Really Slow",0
ai2:
.db "Slow",0
ai3:
.db "Normal",0
ai4:
.db "Fast",0
ai5:
.db "Really Fast",0
ai6:
.db "Back",0
wintext1:
.db "    YOU WIN!    ",0
wintext2:
.db "Your Score:",0
losetext1:
.db "You Have Lost",0
losetext2
.db "Your Score: -",0
;------------end-----------;
.end
END
